Page MenuHomePhabricator

Make Harbormaster objects destructible
ClosedPublic

Authored by epriestley on Mar 29 2018, 7:58 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Mar 25, 11:41 AM
Unknown Object (File)
Sat, Mar 25, 7:04 AM
Unknown Object (File)
Fri, Mar 24, 3:16 AM
Unknown Object (File)
Tue, Mar 21, 4:16 AM
Unknown Object (File)
Tue, Mar 21, 3:08 AM
Unknown Object (File)
Feb 10 2023, 11:56 AM
Unknown Object (File)
Jan 28 2023, 1:46 AM
Unknown Object (File)
Jan 11 2023, 4:52 AM
Subscribers
Restricted Owners Package

Details

Summary

Ref T13114. See PHI511. Ref T13072. This makes Buildables, Builds, Targets and Artifacts destructible with bin/remove destroy.

This might not be totally exhaustive. In particular:

  • File artifacts won't destroy the file. This is sort of okay because file artifacts are currently just a file reference, but probably shouldn't be how things work in the long term.
  • BuildCommand doesn't get cleaned up, but BuildMessage does on Build. See T13072 for more.
Test Plan

Used bin/remove destroy to nuke a bunch of builds, buildables, etc. Loaded stuff in the web UI and it all looked like it got nuked properly.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Owners added a subscriber: Restricted Owners Package.Mar 29 2018, 7:58 PM
epriestley retitled this revision from Make Harbormaster object destructible to Make Harbormaster objects destructible.
This revision was not accepted when it landed; it landed in state Needs Review.Mar 29 2018, 8:01 PM
This revision was automatically updated to reflect the committed changes.